#include <iostream>
 
using namespace std;
 
int main() {
    ios_base::sync_with_stdio(false);
 
    int N, L;
    cin >> N >> L;
 
    int visine[1000];  
    for (int i = 0; i < N; ++i) {
        cin >> visine[i];
    }
 
    for (int i = 0; i < N; ++i) {
        if (visine[i] <= L) {
            cout << i + 1 << "\n";
            return 0;
        }
    }
 
    cout << -1 << "\n";
    return 0;
}
//a svi mi kazu cimicimi nije to tako pa nego kako li je j ti pilav